package com.logicbig.example;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Entity;
import javax.ws.rs.client.WebTarget;

public class MyClient {
    public static void main(String[] args) {
        Client client = ClientBuilder.newBuilder()
                                     .register(new MyClientInterceptor())
                                     .build();

        WebTarget target =
                client.target("http://localhost:8080/app");
        
        String response = target.request()
                                .post(Entity.text(" My test request body."), String.class);
        System.out.println("-- response --");
        System.out.println(response);
    }
}